Get content count

This returns the total content count based on the album_id and the options of filters parameter

Returns the total approved content count for an album, optionally filtered. Uses Elasticsearch and supports the same filters JSON as Get approved content from album.

See Consuming Content for applicable filters and sorts.

Supports If-None-Match / ETag caching (5-minute TTL).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

filters parameter: JSON

  • filter_by_connected_user_ids (Optional) : array[Int]
  • filter_by_email_addresses (Optional) : array[String]
  • has_permission(Optional): Boolean
  • approved(Optional): Boolean
  • filter_by_userhandle(Optional): JSON object used for finding user_name or email_address.
    • "equals": A string value representing a single user_name or email_address to filter by.
    • "is_one_of": A list of string values, where each value represents a user_name or email_address to filter by. The search results will include any documents that contain at least one of the specified user_names or email_addresses in the list.
    • "not_equals": A list of string values, where each value represents a user_name or email_address to exclude from the search results.

Example

{"filter_by_connected_user_ids":[12345678,999999],"has_permission":true}

{"filter_by_connected_user_ids":[12345678],"has_permission":true}

{"filter_by_connected_user_ids":[12345678]}

{"filter_by_connected_user_ids":[12345678,99999]}

{"filter_by_userhandle":{"equals":"abcdef"}}

{"filter_by_userhandle":{"is_one_of":["abcdef"]}}

{"filter_by_userhandle":{"is_one_of":["abcdef","12345"]}}

{"filter_by_userhandle":{"not_equals":["abcdef"]}}

{"filter_by_userhandle":{"not_equals":["abcdef","12345"]}}

{}

Path Params
int32
required

Album id.

Query Params
filters
object

Filter criteria. See FilterCriteria schema and the Consuming Content guide.

Responses

304

Not modified (If-None-Match ETag matches).

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json